CONFIG_IPV6_SIT_6RD is disabled in kernel config

Bug #591869 reported by Nathan Lutchansky on 2010-06-09
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Andy Whitcroft

Bug Description

Binary package hint: linux-image-2.6.35-1-generic-pae

The 2.6.35-1 packages in maverick do not have the CONFIG_IPV6_SIT_6RD option enabled. This option controls the availability of the "IPv6 Rapid Deployment (6rd)" implementation in the IPv6 SIT module.

6rd is an automatic tunneling mechanism that allows ISPs to provide IPv6 access to their customers using an existing IPv4 infrastructure. Free.fr has been using 6rd since 2007, and Comcast is rolling out 6rd-based IPv6 trials this month. Several other ISPs are planning to deploy 6rd as well.

With the CONFIG_IPV6_SIT_6RD kernel config option enabled, the behavior of the kernel will not change unless the user specifically configures a 6rd interface using "ip tunnel". (On the userland side, 6rd is supported in iproute-20100519-2 which is already in maverick.)

Please enable the CONFIG_IPV6_SIT_6RD option in the maverick kernel config so that Ubuntu users can receive IPv6 connectivity with 6rd.

Jeremy Foshee (jeremyfoshee) wrote :

Hi Nathan,

Please be sure to confirm this issue exists with the latest development release of Ubuntu. ISO CD images are available from http://cdimage.ubuntu.com/daily-live/current/ . If the issue remains, please run the following command from a Terminal (Applications->Accessories->Terminal). It will automatically gather and attach updated debug information to this report.

apport-collect -p linux 591869

Also, if you could test the latest upstream kernel available that would be great. It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

    [This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-kernel-logs
tags: added: needs-upstream-testing
tags: added: kj-triage
Changed in linux (Ubuntu):
status: New → Incomplete
tags: removed: needs-kernel-logs needs-upstream-testing

I removed the needs-kernel-logs and needs-upstream-testing tags because I don't think there's anything that needs to debugged or checked upstream. I'm not reporting a software failure; I'm just asking for a config option to be turned on. (If there's a more appropriate place to make this kind of request, please let me know.)

Just to confirm, I tested to make sure that the latest Maverick kernel (2.6.35-2.2 now) does not have 6rd support:

root@maverick:~# uname -a
Linux maverick 2.6.35-2-generic #2-Ubuntu SMP Tue Jun 8 19:15:10 UTC 2010 i686 GNU/Linux
root@maverick:~# grep 6RD /boot/config-$(uname -r)
# CONFIG_IPV6_SIT_6RD is not set
root@maverick:~# ip tunnel add sit1 mode sit local 10.100.100.1 ttl 64
root@maverick:~# ip tunnel 6rd dev sit1 6rd-prefix 2001:0db8::/32 6rd-relay_prefix 10.0.0.0/8
ioctl: Invalid argument
root@maverick:~#

If I grab the 2.6.35-2 source package, I can add CONFIG_IPV6_SIT_6RD=y to debian.master/config/config.common.ubuntu and rebuild new kernel packages with 6rd support.

Using my custom-built kernel package with CONFIG_IPV6_SIT_6RD, I get the following result from the above test:

root@maverick:~# uname -a
Linux maverick 2.6.35-2-generic #2 SMP Wed Jun 9 23:52:10 EDT 2010 i686 GNU/Linux
root@maverick:~# grep 6RD /boot/config-$(uname -r)
CONFIG_IPV6_SIT_6RD=y
root@maverick:~# ip tunnel add sit1 mode sit local 10.100.100.1 ttl 64
root@maverick:~# ip tunnel 6rd dev sit1 6rd-prefix 2001:0db8::/32 6rd-relay_prefix 10.0.0.0/8
root@maverick:~# ip tunnel show sit1
sit1: ipv6/ip remote any local 10.100.100.1 ttl 64 6rd-prefix 2001:db8::/32 6rd-relay_prefix 10.0.0.0/8
root@maverick:~#

Let me know if you need further justification for this request, or if I should raise the discussion in a different venue. Thanks.

Changed in linux (Ubuntu):
status: Incomplete → Triaged
importance: Undecided → Medium
tags: added: kernel-core kernel-needs-review
tags: added: kernel-candidate kernel-reviewed
removed: kernel-needs-review
tags: removed: kernel-candidate
Andy Whitcroft (apw) on 2010-06-21
Changed in linux (Ubuntu):
status: Triaged → In Progress
assignee: nobody → Andy Whitcroft (apw)
Andy Whitcroft (apw) on 2010-06-21
Changed in linux (Ubuntu):
milestone: none → maverick-alpha-3
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.35-5.6

---------------
linux (2.6.35-5.6) maverick; urgency=low

  [ Amit Kucheria ]

  * [Config] update omap flavour description

  [ Andy Whitcroft ]

  * update to ubuntu-debian:508b7aa34b578c0d1e51bfb571f2bfb824dc65ac
    - LP: #570500, #576274
  * SAUCE: add option to hand off all kernel parameters to init
    - LP: #586386
  * [Config] enable passing all kernel command line to init
    - LP: #586386
  * [Config] disable CONFIG_VMI
    - LP: #537601
  * [Config] enable CONFIG_IPV6_SIT_6RD
    - LP: #591869
  * [Config] enable CONFIG_VMWARE_BALOON as module
    - LP: #592039

  [ Leann Ogasawara ]

  * Revert "SAUCE: pm: Config option to disable handling of console during
    suspend/resume"
    - LP: #594885
  * [Config] Remove CONFIG_PM_DISABLE_CONSOLE
  * [Config] ports: enable passing all kernel command line to init
    - LP: #586386
  * [Config] Enable CONFIG_FB_VESA=y for x86
  * [Config] Add CONFIG_FRAMEBUFFER_CONSOLE=y to config enforcer
  * [Config] Add CONFIG_FB_VESA=y for x86 to config enforcer
  * [Config] Enable CONFIG_TASK_DELAY_ACCT=y
    - LP: #493156

  [ Mathieu Poirier ]

  * ARM: Adding MosChip MCS7830 to nic-usb
    - LP: #584920

  [ Upstream Kernel Changes ]

  * Revert "[Upstream] docbook: need xmldoclinks for all doc types"
  * docbook: need xmldoclinks for all doc types
  * perf probe: Add kernel source path option
 -- Leann Ogasawara <email address hidden> Thu, 17 Jun 2010 08:05:29 -0700

Changed in linux (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related blueprints